View Issue Details

IDProjectCategoryView StatusLast Update
0000142Far Manager 1.7xMacropublic2007-07-16 16:07
ReporterSmitisAssigned Tovskirdin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86OSWindowsOS VersionXP SP2
Product Version1.71 
Target VersionFixed in Version1.71 
Summary0000142: Ошибка в fsplit
DescriptionФункция fsplit в макросах возвращает неправильное имя файла в корне плагиновой панели (добавляет префикс плагина).
Steps To ReproduceМакрос: $IClip CtrlAltIns $Text fsplit(clip(0,""),4)
Берём архив FarManager170.rar (подойдёт любой с вложенными папками).
Входим в него через multiarc.
В корне для Readme.txt получаем "ma:Readme", а для Addons\Readme.txt получаем "Readme" (без кавычек, есесно).
TagsNo tags attached.
Build

Activities

DrKnS

2006-04-24 06:13

administrator   bugnote:0000150

Сюда же: fsplit("ma:Dir1\file.ext",1) не возвращает ничего, хотя можно было бы вернуть ma:
Считается, что Drive не может быть длиннее 1 символа?

vskirdin

2006-04-28 14:12

administrator   bugnote:0000163

тестируем fsplit
http://farmanager.com/farbugs/mantis142.1.rar

Issue History

Date Modified Username Field Change
2006-04-21 10:28 Smitis New Issue
2006-04-21 10:28 Smitis Status new => assigned
2006-04-21 10:28 Smitis Assigned To => vskirdin
2006-04-24 06:13 DrKnS Note Added: 0000150
2006-04-28 14:12 vskirdin Note Added: 0000163
2006-04-28 14:16 vskirdin Status assigned => resolved
2006-04-28 14:16 vskirdin Fixed in Version => 1.71
2006-04-28 14:16 vskirdin Resolution open => fixed
2007-07-16 16:07 alexy Status resolved => closed